function vis_kglvq_2010(oResultModel,iDim1,iDim2,varargin)
%
% Visualise the results over a grid
% 
X = oResultModel.oTrain.data;
COL_data1	= 'k';
COL_data2	= 0.75*[0 1 0];
COL_boundary50	= {'r','g','b','c','m'};
COL_boundary75	= 0.5*ones(1,3);
COL_rv		= 'r';


figure(1)
whitebg(1,'w')
clf
hold on
box	= 1.1*[min(X(:,iDim1)) max(X(:,iDim1)) min(X(:,iDim2)) max(X(:,iDim2))];
axis(box)
set(gca,'FontSize',12)
gsteps		= 40;
range1		= box(1):(box(2)-box(1))/(gsteps-1):box(2);
range2		= box(3):(box(4)-box(3))/(gsteps-1):box(4);
[grid1 grid2]	= meshgrid(range1,range2);
Xgrid		= [grid1(:) grid2(:)];
%
% Evaluate RVM
% 
if(~isempty(varargin))
    if(varargin{1})
        Xgrid = (Xgrid - repmat(mean(Xgrid)',1,length(Xgrid))') ./ (repmat(std(Xgrid)',1,length(Xgrid))');
    end
end
oResultModel.oTrain.data = X(:,[iDim1,iDim2]);
[vAss,y_grid] = apply_kglvq_2010(oResultModel,Xgrid);
% apply sigmoid for probabilities
vClusters   = unique(vAss);
for(k=1:length(vClusters))
    vField      = vAss==vClusters(k);
    p_grid		= 1./(1+exp(-y_grid(vField)));
    %
    % Show decision boundary (p=0.5) and illustrate p=0.25 and 0.75
    %
    t = mod(k,length(COL_boundary50))+1;
    plot(Xgrid(vField,1),Xgrid(vField,2),'s','MarkerEdgeColor',COL_boundary50{t},'MarkerFace',COL_boundary50{t},'MarkerSize',50);
end
plot(X(:,iDim1),X(:,iDim2),'.','MarkerSize',30,'Color',COL_data1);
hold off
title('Kernel Neural Gas');